Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 743034 - F15 glibc tzdata-update can't build on ARM
Summary: F15 glibc tzdata-update can't build on ARM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 15
Hardware: arm
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeff Law
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2011-10-03 16:13 UTC by Daniel Drake
Modified: 2016-11-24 16:01 UTC (History)
5 users (show)

Fixed In Version: glibc-2.14.1-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-02 16:47:24 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
glibc-tzdata-nonstatic.patch (20.87 KB, patch)
2011-10-03 16:13 UTC, Daniel Drake
no flags Details | Diff
spec patch (2.11 KB, patch)
2011-10-03 16:17 UTC, Daniel Drake
no flags Details | Diff

Description Daniel Drake 2011-10-03 16:13:51 UTC
Created attachment 526096 [details]
glibc-tzdata-nonstatic.patch

In bug #708452, F16 glibc was fixed to work on ARM.

We're now building F15 for ARM and have hit one of the same issues - the tzdata-update.c compile issue (all the other issues mentioned in #708452 are already fixed in f15 - thanks!).

The tzdata-update problem was fixed for F16 by removing all the arch-specific syscall definitions and just using glibc. Could this change please be backported to F15?

I'm attaching a patch which takes tzdata-update.c from F15 form to F16 form.

Also, if you're happy for me to commit this as a patch from the spec file for F15 (as one less distraction for you), I'm attaching a spec patch that I could commit to fix this bug. I've tested it on ARM and i686.

Thanks!

Comment 1 Daniel Drake 2011-10-03 16:17:01 UTC
Created attachment 526098 [details]
spec patch

Comment 2 Fedora Admin XMLRPC Client 2011-11-14 19:45:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2011-12-19 07:50:59 UTC
glibc-2.14.1-4 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/glibc-2.14.1-4

Comment 4 Fedora Update System 2012-01-02 17:04:48 UTC
glibc-2.14.1-5 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/glibc-2.14.1-5

Comment 5 Fedora Update System 2012-01-17 20:24:28 UTC
glibc-2.14.1-5 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Peter Robinson 2012-03-02 16:47:24 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.